Edushade Docs
Breakpoint

Update breakpoint

PUT
/admin/learning/breakpoints/{breakpoint_id}
AuthorizationBearer <token>

In: header

Path Parameters

breakpoint_idstring

The breakpoint id identifier

Formatuuid
descriptionstring
Default"Updated Breakpoint Description"
end_datestring
Default"2024-01-02T00:00:00Z"
published_atstring
Default"2024-01-01T00:00:00Z"
start_datestring
Default"2024-01-01T00:00:00Z"
statusstring
Default"draft"
titlestring
Default"Updated Breakpoint Title"

Response Body

curl -X PUT "https://edushade.com/api/v1/admin/learning/breakpoints/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Content-Type: application/json" \
  -d '{
    "description": "Updated Breakpoint Description",
    "end_date": "2024-01-02T00:00:00Z",
    "published_at": "2024-01-01T00:00:00Z",
    "start_date": "2024-01-01T00:00:00Z",
    "status": "draft",
    "title": "Updated Breakpoint Title"
  }'
{}
Empty
Empty
Empty